Loading...
Searching...
No Matches
Magick::DrawableTextInterlineSpacing Class Reference
Inheritance diagram for Magick::DrawableTextInterlineSpacing:

## Public Member Functions

| DrawableTextInterlineSpacing (double spacing_)
void | operator() (MagickCore::DrawingWand *context_) const
void | spacing (double spacing_)
double | spacing (void) const
DrawableBase * | copy () const

## Private Attributes

double | _spacing

## Detailed Description

Definition at line 2162 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextInterlineSpacing()

Magick::DrawableTextInterlineSpacing::DrawableTextInterlineSpacing | ( | double | spacing_ | ) |

Definition at line 1601 of file Drawable.cpp.

: _spacing(spacing_)
{
}

## ~DrawableTextInterlineSpacing()

Magick::DrawableTextInterlineSpacing::~DrawableTextInterlineSpacing | ( | void |  | ) |

Definition at line 1607 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextInterlineSpacing::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1627 of file Drawable.cpp.

{
return new DrawableTextInterlineSpacing(*this);
}

## operator()()

void Magick::DrawableTextInterlineSpacing::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1611 of file Drawable.cpp.

{
DrawSetTextInterlineSpacing(context_,_spacing);
}

## spacing() [1/2]

void Magick::DrawableTextInterlineSpacing::spacing | ( | double | spacing_ | ) |

Definition at line 1617 of file Drawable.cpp.

{
_spacing=spacing_;
}

## spacing() [2/2]

double Magick::DrawableTextInterlineSpacing::spacing | ( | void |  | ) | const

Definition at line 1622 of file Drawable.cpp.

{
return(_spacing);
}

## Field Documentation

## _spacing

double Magick::DrawableTextInterlineSpacing::_spacing

private

Definition at line 2178 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp